import { r as R, V as S, bk as L, gD as O, Z as a, ae as V, k as p, aA as v, cb as c, H as g, c9 as f, c8 as k, __tla as __tla_0 } from "./index-9PRMimni.js";
import { a9 as A, S as U, aa as I } from "./template-rpthWlT9.js";
let Y, H;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })()
]).then(async ()=>{
    const _ = await A(), x = await U(), C = R(!1), E = R(!1);
    function u(l) {
        if (!l) return "";
        const y = new Date(l);
        if (isNaN(y.getTime())) return "";
        const m = y.getFullYear(), r = String(y.getMonth() + 1).padStart(2, "0"), d = String(y.getDate()).padStart(2, "0");
        return `${m}-${r}-${d}`;
    }
    const { t } = S(), s = L();
    function P(l) {
        if (!l) return null;
        const y = new Date(l);
        if (isNaN(y.getTime())) return null;
        const m = new Date;
        m.setHours(0, 0, 0, 0);
        const r = new Date(y);
        r.setHours(0, 0, 0, 0);
        const d = r.getTime() - m.getTime();
        return Math.ceil(d / (1e3 * 60 * 60 * 24));
    }
    function z(l) {
        return l === null ? "" : l < 0 || l <= 30 ? "#C35355" : l <= 90 ? "#C39E53" : "#0EC06A";
    }
    function o(l) {
        return (y)=>{
            if (!C.value && !E.value) {
                const m = y[l] || "-", r = P(y[l]), d = z(r);
                return a("span", {
                    style: {
                        color: d,
                        fontWeight: "bold"
                    }
                }, m);
            }
            return a(c, {
                value: y[l] ? new Date(y[l]).getTime() : null,
                type: "date",
                onUpdateValue: (m)=>{
                    y[l] = m ? u(m) : null;
                }
            });
        };
    }
    function W(l) {
        return {
            1: {
                color: "rgba(23, 182, 235, 0.12)",
                textColor: "rgba(23, 182, 235, 1)",
                borderColor: "rgba(23, 182, 235, 0.50)"
            },
            2: {
                color: "rgba(227, 107, 181, 0.12)",
                textColor: "rgba(227, 107, 181, 1)",
                borderColor: "rgba(227, 107, 181, 0.50)"
            },
            3: {
                color: "rgba(213, 116, 116, 0.12)",
                textColor: "rgba(210, 76, 76, 1)",
                borderColor: "rgba(210, 76, 76, 0.50)"
            },
            4: {
                color: "rgba(29, 204, 183, 0.12)",
                textColor: "rgba(29, 204, 183, 1)",
                borderColor: "rgba(29, 204, 183, 0.50)"
            }
        }[l];
    }
    const b = ()=>[
            {
                label: "是",
                labelEn: "Yes",
                value: "Yes"
            },
            {
                label: "否",
                labelEn: "No",
                value: "No"
            }
        ];
    H = function(l) {
        const y = [
            {
                title: t("monthlyReport.no"),
                key: "",
                width: 60,
                render (r, d) {
                    return d + 1;
                }
            },
            {
                title: t("monthlyReport.itemToBeChecked"),
                key: s.getLocale == "en" ? "nameContentEn" : "nameContent",
                titleAlign: "center",
                align: "left",
                ellipsis: !1
            },
            {
                title: t("monthlyReport.condition1"),
                key: "radio",
                width: 350,
                editRule: !0,
                render (r) {
                    return a(k, {
                        value: r.radio,
                        disabled: l?.readonly,
                        onUpdateValue (d) {
                            r.radio = d;
                        }
                    }, ()=>a(g, {}, b().map((d)=>a(f, {
                                value: d.value,
                                label: s.getLocale === "en" ? d.labelEn : d.label
                            }))));
                }
            },
            {
                title: t("monthlyReport.remark"),
                key: "remark",
                width: 300,
                titleAlign: "center",
                align: "left",
                ellipsis: !1,
                render (r, d) {
                    return a(p, {
                        type: "textarea",
                        style: {
                            width: "100%"
                        },
                        value: r.remark,
                        disabled: l?.readonly,
                        autosize: {
                            minRows: 1,
                            maxRows: 3
                        },
                        onUpdateValue (i) {
                            r.remark = i;
                        }
                    });
                }
            }
        ], m = [
            {
                title: t("monthlyReport.no"),
                key: "",
                width: 60,
                render (r, d) {
                    return d === 0 ? "" : d;
                }
            },
            {
                title: t("monthlyReport.itemToBeChecked"),
                key: s.getLocale == "en" ? "nameContentEn" : "nameContent",
                titleAlign: "center",
                align: "left",
                ellipsis: !1
            },
            {
                title: t("monthlyReport.condition7"),
                key: "radio1",
                titleColSpan: 4,
                width: 150,
                editRule: !0,
                render (r, d) {
                    return d === 0 ? a(c, {
                        value: r.radio1,
                        disabled: l?.readonly,
                        onUpdateValue (i) {
                            r.radio1 = i, r.radio2 = i + 7 * 24 * 60 * 60 * 1e3, r.radio3 = i + 14 * 24 * 60 * 60 * 1e3, r.radio4 = i + 21 * 24 * 60 * 60 * 1e3;
                        }
                    }) : a(k, {
                        value: r.radio1,
                        disabled: l?.readonly,
                        onUpdateValue (i) {
                            r.radio1 = i;
                        }
                    }, ()=>a(g, {}, b().map((i)=>a(f, {
                                value: i.value,
                                label: s.getLocale === "en" ? i.labelEn : i.label
                            }))));
                }
            },
            {
                title: t("monthlyReport.condition7"),
                key: "radio2",
                width: 150,
                editRule: !0,
                render (r, d) {
                    return d === 0 ? a(c, {
                        value: r.radio2,
                        disabled: l?.readonly,
                        onUpdateValue (i) {
                            r.radio2 = i;
                        }
                    }) : a(k, {
                        value: r.radio2,
                        disabled: l?.readonly,
                        onUpdateValue (i) {
                            r.radio2 = i;
                        }
                    }, ()=>a(g, {}, b().map((i)=>a(f, {
                                value: i.value,
                                label: s.getLocale === "en" ? i.labelEn : i.label
                            }))));
                }
            },
            {
                title: t("monthlyReport.condition7"),
                key: "radio3",
                width: 150,
                editRule: !0,
                render (r, d) {
                    return d === 0 ? a(c, {
                        value: r.radio3,
                        disabled: l?.readonly,
                        onUpdateValue (i) {
                            r.radio3 = i;
                        }
                    }) : a(k, {
                        value: r.radio3,
                        disabled: l?.readonly,
                        onUpdateValue (i) {
                            r.radio3 = i;
                        }
                    }, ()=>a(g, {}, b().map((i)=>a(f, {
                                value: i.value,
                                label: s.getLocale === "en" ? i.labelEn : i.label
                            }))));
                }
            },
            {
                title: t("monthlyReport.condition7"),
                key: "radio4",
                width: 150,
                editRule: !0,
                render (r, d) {
                    return d === 0 ? a(c, {
                        value: r.radio4,
                        disabled: l?.readonly,
                        onUpdateValue (i) {
                            r.radio4 = i;
                        }
                    }) : a(k, {
                        value: r.radio4,
                        disabled: l?.readonly,
                        onUpdateValue (i) {
                            r.radio4 = i;
                        }
                    }, ()=>a(g, {}, b().map((i)=>a(f, {
                                value: i.value,
                                label: s.getLocale === "en" ? i.labelEn : i.label
                            }))));
                }
            },
            {
                title: t("monthlyReport.remark"),
                key: "remark",
                width: 300,
                titleAlign: "center",
                align: "left",
                ellipsis: !1,
                render (r, d) {
                    return a(p, {
                        type: "textarea",
                        style: {
                            width: "100%"
                        },
                        value: r.remark,
                        disabled: l?.readonly,
                        autosize: {
                            minRows: 1,
                            maxRows: 3
                        },
                        onUpdateValue (i) {
                            r.remark = i;
                        }
                    });
                }
            }
        ];
        return {
            monthColumns: y,
            monthColumns2: m
        };
    };
    Y = function() {
        const l = R(!1), y = R(!1), m = R(!1), r = {
            updateIsEdit: (e)=>{
                E.value = e;
            },
            updateIsEditIMO: (e)=>{
                l.value = e;
            },
            updateIsEditOilTab1: (e)=>{
                C.value = e;
            },
            updateIsEditOilTab2: (e)=>{
                y.value = e;
            },
            updateIsEditOilTab3: (e)=>{
                m.value = e;
            },
            updateCityList: async (e, n)=>{
                e.provinceList = n;
            }
        }, d = [
            {
                title: t("monthlyReport.no"),
                key: "",
                width: 60,
                render (e, n) {
                    return n + 1;
                }
            },
            {
                title: t("monthlyReport.vesselName"),
                key: s.getLocale === "en" ? "vesselNameEn" : "vesselName"
            },
            {
                title: t("monthlyReport.month"),
                key: "yearMonthStr"
            },
            {
                title: t("monthlyReport.creator"),
                key: "creator"
            },
            {
                title: t("monthlyReport.creationDate"),
                key: "createTime",
                render (e) {
                    return e?.createTime ? O(e.createTime).format("YYYY-MM-DD") : "";
                }
            },
            {
                title: t("monthlyReport.status"),
                key: "statusKey",
                render: (e)=>{
                    const n = _.find((T)=>T.value == e.statusKey), h = W(e.statusKey);
                    return a(V, {
                        color: h,
                        bordered: !0
                    }, {
                        default: ()=>s.getLocale === "en" ? n?.labelEn : n?.label
                    });
                }
            }
        ], i = [
            {
                title: t("monthlyReport.no"),
                key: "",
                width: 60,
                fixed: "left",
                render (e, n) {
                    return n + 1;
                }
            },
            {
                title: t("monthlyReport.name"),
                key: s.getLocale === "en" ? "seafarerNameEn" : "seafarerName",
                width: 150,
                align: "center",
                fixed: "left"
            },
            {
                title: t("monthlyReport.rank"),
                key: s.getLocale === "en" ? "rankNameEn" : "rankName",
                width: 150,
                align: "center",
                fixed: "left"
            },
            {
                title: t("monthlyReport.seamansBook"),
                key: "seamansBook",
                width: 150,
                align: "center",
                children: [
                    {
                        title: ()=>a("div", {
                                style: {
                                    fontSize: "13px",
                                    textAlign: "center",
                                    fontWeight: "500"
                                }
                            }, t("monthlyReport.expiryDate")),
                        key: "smpp",
                        width: 150,
                        align: "center",
                        render: o("smpp")
                    }
                ]
            },
            {
                title: t("monthlyReport.competencyCert"),
                key: "competencyCert",
                width: 300,
                align: "center",
                children: [
                    {
                        title: ()=>a("div", {
                                style: {
                                    fontSize: "13px",
                                    textAlign: "center",
                                    fontWeight: "500"
                                }
                            }, t("monthlyReport.expiryDateChina")),
                        key: "coc",
                        width: 150,
                        align: "center",
                        render: o("coc")
                    },
                    {
                        title: ()=>a("div", {
                                style: {
                                    fontSize: "13px",
                                    textAlign: "center",
                                    fontWeight: "500"
                                }
                            }, t("monthlyReport.expiryDateFlagState")),
                        key: "flagCoc",
                        width: 150,
                        align: "center",
                        render: o("flagCoc")
                    }
                ]
            },
            {
                title: t("monthlyReport.gMDSS"),
                key: "gMDSS",
                width: 300,
                align: "center",
                children: [
                    {
                        title: ()=>a("div", {
                                style: {
                                    fontSize: "13px",
                                    textAlign: "center",
                                    fontWeight: "500"
                                }
                            }, t("monthlyReport.expiryDateChina")),
                        key: "gmdss",
                        width: 150,
                        align: "center",
                        render: o("gmdss")
                    },
                    {
                        title: ()=>a("div", {
                                style: {
                                    fontSize: "13px",
                                    textAlign: "center",
                                    fontWeight: "500"
                                }
                            }, t("monthlyReport.expiryDateFlagState")),
                        key: "flagGmdss",
                        width: 150,
                        align: "center",
                        render: o("flagGmdss")
                    }
                ]
            },
            {
                title: t("monthlyReport.inoculationCertificate"),
                key: "inoculationCertificate",
                width: 300,
                align: "center",
                children: [
                    {
                        title: ()=>a("div", {
                                style: {
                                    fontSize: "13px",
                                    textAlign: "center",
                                    fontWeight: "500"
                                }
                            }, t("monthlyReport.cholera")),
                        key: "cholera",
                        width: 150,
                        align: "center",
                        render: o("cholera")
                    },
                    {
                        title: ()=>a("div", {
                                style: {
                                    fontSize: "13px",
                                    textAlign: "center",
                                    fontWeight: "500"
                                }
                            }, t("monthlyReport.yellowFever")),
                        key: "yf",
                        width: 150,
                        align: "center",
                        render: o("yf")
                    }
                ]
            },
            {
                title: t("monthlyReport.healthCert"),
                key: "healthCert",
                width: 150,
                align: "center",
                children: [
                    {
                        title: ()=>a("div", {
                                style: {
                                    fontSize: "13px",
                                    textAlign: "center",
                                    fontWeight: "500"
                                }
                            }, t("monthlyReport.expiryDate")),
                        key: "msaHc",
                        width: 150,
                        align: "center",
                        render: o("msaHc")
                    }
                ]
            },
            {
                title: t("monthlyReport.passport"),
                key: "passport",
                width: 150,
                align: "center",
                children: [
                    {
                        title: ()=>a("div", {
                                style: {
                                    fontSize: "13px",
                                    textAlign: "center",
                                    fontWeight: "500"
                                }
                            }, t("monthlyReport.expiryDate")),
                        key: "ppt",
                        width: 150,
                        align: "center",
                        render: o("ppt")
                    }
                ]
            },
            {
                title: t("monthlyReport.otherCert"),
                key: "otherCert",
                width: 300,
                align: "center",
                children: [
                    {
                        title: ()=>a("div", {
                                style: {
                                    fontSize: "13px",
                                    textAlign: "center",
                                    fontWeight: "500"
                                }
                            }, t("monthlyReport.seamansRecordBook")),
                        key: "sid",
                        width: 150,
                        align: "center",
                        render: o("sid")
                    },
                    {
                        title: ()=>a("div", {
                                style: {
                                    fontSize: "13px",
                                    textAlign: "center",
                                    fontWeight: "500"
                                }
                            }, t("monthlyReport.professionalTrainingCert")),
                        key: "bst",
                        width: 150,
                        align: "center",
                        render: o("bst")
                    }
                ]
            },
            {
                title: t("monthlyReport.boardingDate"),
                key: "onBoardDate",
                width: 150,
                align: "center",
                render (e) {
                    return e.onBoardDate?.slice(0, 10);
                }
            },
            {
                title: t("monthlyReport.boardingPlace"),
                key: "onBoardPlace",
                width: 150,
                align: "center",
                render (e) {
                    return E.value ? a(p, {
                        value: e.onBoardPlace,
                        onUpdateValue (n) {
                            e.onBoardPlace = n;
                        }
                    }) : e.onBoardPlace;
                }
            }
        ], N = [
            {
                title: t("monthlyReport.no"),
                key: "",
                width: 60,
                fixed: "left",
                render (e, n) {
                    return n + 1;
                }
            },
            {
                title: t("monthlyReport.name"),
                key: s.getLocale === "en" ? "seafarerNameEn" : "seafarerName",
                width: 150,
                align: "center",
                fixed: "left"
            },
            {
                title: t("monthlyReport.rank"),
                key: s.getLocale === "en" ? "rankNameEn" : "rankName",
                width: 150,
                align: "center",
                fixed: "left"
            },
            {
                title: t("monthlyReport.nationality"),
                key: "nationalId",
                width: 150,
                align: "center",
                render (e) {
                    if (!l.value) {
                        const n = x.find((h)=>h.id === +e.nationalId);
                        return s.getLocale === "en" ? n?.nameEn : n?.name;
                    }
                    return a(v, {
                        value: e.nationalId,
                        options: x,
                        align: "center",
                        filterable: !0,
                        "value-field": "id",
                        "label-field": s.getLocale === "en" ? "nameEn" : "name",
                        async onUpdateValue (n) {
                            e.nationalId = n;
                            const h = await I({
                                countryId: n
                            });
                            r.updateCityList(e, h);
                        }
                    });
                }
            },
            {
                title: t("monthlyReport.placeOfBirth"),
                key: "brithplaceCityId",
                width: 150,
                align: "center",
                render (e) {
                    if (!l.value) {
                        const n = e.provinceList.find((h)=>h.id === e.brithplaceCityId);
                        return s.getLocale === "en" ? n?.nameEn : n?.name;
                    }
                    return a(v, {
                        value: e.brithplaceCityId,
                        options: e.provinceList,
                        align: "center",
                        filterable: !0,
                        "value-field": "id",
                        "label-field": s.getLocale === "en" ? "nameEn" : "name",
                        async onUpdateValue (n) {
                            e.brithplaceCityId = n;
                        }
                    });
                }
            },
            {
                title: t("monthlyReport.dateOfBirth"),
                key: "birthday",
                width: 150,
                align: "center",
                render (e) {
                    return l.value ? a(c, {
                        value: e.birthday,
                        onUpdateValue (n) {
                            e.birthday = u(n);
                        }
                    }) : e.birthday;
                }
            },
            {
                title: t("monthlyReport.embarkingDate"),
                key: "onBroadDate",
                width: 150,
                align: "center",
                render (e) {
                    return l.value ? a(c, {
                        value: e.onBroadDate,
                        onUpdateValue (n) {
                            e.onBroadDate = u(n);
                        }
                    }) : e.onBroadDate;
                }
            },
            {
                title: t("monthlyReport.embarkingPlace"),
                key: "onBroadPort",
                width: 150,
                align: "center",
                render (e) {
                    return l.value ? a(p, {
                        value: e.onBroadPort,
                        onUpdateValue (n) {
                            e.onBroadPort = n;
                        }
                    }) : e.onBroadPort;
                }
            },
            {
                title: t("monthlyReport.passport"),
                key: "passport",
                width: 150,
                align: "center",
                children: [
                    {
                        title: ()=>a("div", {
                                style: {
                                    fontSize: "13px",
                                    textAlign: "center",
                                    fontWeight: "500"
                                }
                            }, t("monthlyReport.passportNo")),
                        key: "passportNo",
                        width: 150,
                        align: "center",
                        render (e) {
                            return l.value ? a(p, {
                                value: e.passportNo,
                                onUpdateValue (n) {
                                    e.passportNo = n;
                                }
                            }) : e.passportNo;
                        }
                    },
                    {
                        title: ()=>a("div", {
                                style: {
                                    fontSize: "13px",
                                    textAlign: "center",
                                    fontWeight: "500"
                                }
                            }, t("monthlyReport.dateOfExpiry")),
                        key: "passportDateOfExpiry",
                        width: 150,
                        align: "center",
                        render (e) {
                            return l.value ? a(c, {
                                value: e.passportDateOfExpiry,
                                onUpdateValue (n) {
                                    e.passportDateOfExpiry = u(n);
                                }
                            }) : e.passportDateOfExpiry;
                        }
                    }
                ]
            },
            {
                title: t("monthlyReport.seamanBook"),
                key: "seamanBook",
                width: 450,
                children: [
                    {
                        title: ()=>a("div", {
                                style: {
                                    fontSize: "13px",
                                    textAlign: "center",
                                    fontWeight: "500"
                                }
                            }, t("monthlyReport.seamanBookNo")),
                        key: "seamanBookNo",
                        width: 150,
                        align: "center",
                        render (e) {
                            return l.value ? a(p, {
                                value: e.seamanBookNo,
                                onUpdateValue (n) {
                                    e.seamanBookNo = n;
                                }
                            }) : e.seamanBookNo;
                        }
                    },
                    {
                        title: ()=>a("div", {
                                style: {
                                    fontSize: "13px",
                                    textAlign: "center",
                                    fontWeight: "500"
                                }
                            }, t("monthlyReport.dateOfExpiry")),
                        key: "seamanBookDateOfExpiry",
                        width: 150,
                        align: "center",
                        render (e) {
                            return l.value ? a(c, {
                                value: e.seamanBookDateOfExpiry,
                                onUpdateValue (n) {
                                    e.seamanBookDateOfExpiry = u(n);
                                }
                            }) : e.seamanBookDateOfExpiry;
                        }
                    }
                ]
            }
        ], B = [
            {
                title: t("monthlyReport.no"),
                key: "",
                width: 60,
                fixed: "left",
                render (e, n) {
                    return n + 1;
                }
            },
            {
                title: t("monthlyReport.name"),
                key: s.getLocale === "en" ? "seafarerNameEn" : "seafarerName",
                width: 150,
                fixed: "left"
            },
            {
                title: t("monthlyReport.rank"),
                key: s.getLocale === "en" ? "rankNameEn" : "rankName",
                width: 150,
                fixed: "left"
            },
            {
                title: t("monthlyReport.passport"),
                key: "ppt",
                width: 150,
                render: o("ppt")
            },
            {
                title: t("monthlyReport.oilTab1Item1"),
                key: "smpp",
                width: 150,
                render: o("smpp")
            },
            {
                title: t("monthlyReport.oilTab1Item2"),
                key: "coc",
                width: 150,
                render: o("coc")
            },
            {
                title: t("monthlyReport.oilTab1Item3"),
                key: "flagCoc",
                width: 150,
                render: o("flagCoc")
            },
            {
                title: t("monthlyReport.medicalFitnessCert"),
                key: "msaHc",
                width: 150,
                render: o("msaHc")
            },
            {
                title: t("monthlyReport.cholera"),
                key: "cholera",
                width: 150,
                render: o("cholera")
            },
            {
                title: t("monthlyReport.yellowFever"),
                key: "yf",
                width: 150,
                render: o("yf")
            },
            {
                title: t("monthlyReport.oilTab1Item4"),
                key: "psrb",
                width: 150,
                render: o("psrb")
            },
            {
                title: t("monthlyReport.oilTab1Item5"),
                key: "bst",
                width: 150,
                render: o("bst")
            },
            {
                title: t("monthlyReport.oilTab1Item6"),
                key: "advancedFireFighting",
                width: 150,
                render: o("advancedFireFighting")
            },
            {
                title: t("monthlyReport.oilTab1Item7"),
                key: "medicalFirstAid",
                width: 150,
                render: o("medicalFirstAid")
            },
            {
                title: t("monthlyReport.oilTab1Item8"),
                key: "medicalCare",
                width: 150,
                render: o("medicalCare")
            },
            {
                title: t("monthlyReport.oilTab1Item9"),
                key: "sat",
                width: 150,
                render: o("sat")
            },
            {
                title: t("monthlyReport.oilTab1Item10"),
                key: "sdsd",
                width: 150,
                render: o("sdsd")
            },
            {
                title: t("monthlyReport.oilTab1Item11"),
                key: "sso",
                width: 150,
                render: o("sso")
            },
            {
                title: t("monthlyReport.oilTab1Item12"),
                key: "gmdss",
                width: 150,
                render: o("gmdss")
            },
            {
                title: t("monthlyReport.oilTab1Item13"),
                key: "boct",
                width: 150,
                render: o("boct")
            },
            {
                title: t("monthlyReport.oilTab1Item14"),
                key: "aot",
                width: 150,
                render: o("aot")
            },
            {
                title: t("monthlyReport.oilTab1Item15"),
                key: "act",
                width: 150,
                render: o("act")
            },
            {
                title: t("monthlyReport.oilTab1Item16"),
                key: "specificEcdis",
                width: 150,
                render: o("specificEcdis")
            },
            {
                title: t("monthlyReport.oilTab1Item17"),
                key: "brm",
                width: 150,
                render: o("brm")
            },
            {
                title: t("monthlyReport.oilTab1Item18"),
                key: "erm",
                width: 150,
                render: o("erm")
            },
            {
                title: t("monthlyReport.oilTab1Item19"),
                key: "shipHandling",
                width: 150,
                render: o("shipHandling")
            },
            {
                title: t("monthlyReport.oilTab1Item20"),
                key: "ra",
                width: 150,
                render: o("ra")
            },
            {
                title: t("monthlyReport.oilTab1Item21"),
                key: "safetyOfficer",
                width: 150,
                render: o("safetyOfficer")
            },
            {
                title: t("monthlyReport.oilTab1Item22"),
                key: "cyberSecurityCert",
                width: 150,
                render: o("cyberSecurityCert")
            },
            {
                title: t("monthlyReport.oilTab1Item23"),
                key: "meCert",
                width: 150,
                render: o("meCert")
            },
            {
                title: t("monthlyReport.remark"),
                key: "remarks",
                width: 150,
                fixed: "right",
                render (e) {
                    return C.value ? a(p, {
                        value: e.remarks,
                        onUpdateValue (n) {
                            e.remarks = n;
                        }
                    }) : e.remarks;
                }
            }
        ], D = [
            {
                title: t("monthlyReport.no"),
                key: "",
                width: 60,
                fixed: "left",
                render (e, n) {
                    return n + 1;
                }
            },
            {
                title: t("monthlyReport.name"),
                key: s.getLocale === "en" ? "seafarerNameEn" : "seafarerName",
                width: 150,
                fixed: "left"
            },
            {
                title: t("monthlyReport.rank"),
                key: s.getLocale === "en" ? "rankNameEn" : "rankName",
                width: 150,
                fixed: "left"
            },
            {
                title: t("monthlyReport.address"),
                key: "currentAddress",
                width: 250,
                render (e) {
                    return y.value ? a(p, {
                        value: e.currentAddress,
                        onUpdateValue (n) {
                            e.currentAddress = n;
                        }
                    }) : e.currentAddress;
                }
            },
            {
                title: t("monthlyReport.mob"),
                key: "mobilePhone",
                width: 150,
                render (e) {
                    return y.value ? a(p, {
                        value: e.mobilePhone,
                        onUpdateValue (n) {
                            e.mobilePhone = n;
                        }
                    }) : e.mobilePhone;
                }
            },
            {
                title: t("monthlyReport.relationship"),
                key: "relations",
                width: 150,
                render (e) {
                    return y.value ? a(p, {
                        value: e.relations,
                        onUpdateValue (n) {
                            e.relations = n;
                        }
                    }) : e.relations;
                }
            },
            {
                title: t("monthlyReport.emergencyContactPerson"),
                key: "emergencyContactPerson",
                width: 450,
                children: [
                    {
                        title: ()=>a("div", {
                                style: {
                                    fontSize: "13px",
                                    textAlign: "center",
                                    fontWeight: "500"
                                }
                            }, t("monthlyReport.name")),
                        key: "emergencyContactName",
                        width: 150,
                        align: "center",
                        render (e) {
                            return y.value ? a(p, {
                                value: e.emergencyContactName,
                                onUpdateValue (n) {
                                    e.emergencyContactName = n;
                                }
                            }) : e.emergencyContactName;
                        }
                    },
                    {
                        title: ()=>a("div", {
                                style: {
                                    fontSize: "13px",
                                    textAlign: "center",
                                    fontWeight: "500"
                                }
                            }, t("monthlyReport.address")),
                        key: "emergencyContactAddress",
                        width: 150,
                        align: "center",
                        render (e) {
                            return y.value ? a(p, {
                                value: e.emergencyContactAddress,
                                onUpdateValue (n) {
                                    e.emergencyContactAddress = n;
                                }
                            }) : e.emergencyContactAddress;
                        }
                    },
                    {
                        title: ()=>a("div", {
                                style: {
                                    fontSize: "13px",
                                    textAlign: "center",
                                    fontWeight: "500"
                                }
                            }, t("monthlyReport.tel")),
                        key: "emergencyContactPhone",
                        width: 150,
                        align: "center",
                        render (e) {
                            return y.value ? a(p, {
                                value: e.emergencyContactPhone,
                                onUpdateValue (n) {
                                    e.emergencyContactPhone = n;
                                }
                            }) : e.emergencyContactPhone;
                        }
                    }
                ]
            }
        ], w = [
            {
                title: t("monthlyReport.no"),
                key: "",
                width: 60,
                fixed: "left",
                render (e, n) {
                    return n + 1;
                }
            },
            {
                title: t("monthlyReport.name"),
                key: s.getLocale === "en" ? "seafarerNameEn" : "seafarerName",
                width: 150,
                fixed: "left"
            },
            {
                title: t("monthlyReport.rank"),
                key: s.getLocale === "en" ? "rankNameEn" : "rankName",
                width: 150,
                fixed: "left"
            },
            {
                title: t("monthlyReport.nationality"),
                key: "nationalId",
                width: 150,
                render (e) {
                    if (!m.value) {
                        const n = x.find((h)=>h.id === +e.nationalId);
                        return s.getLocale === "en" ? n?.nameEn : n?.name;
                    }
                    return a(v, {
                        value: e.nationalId,
                        options: x,
                        filterable: !0,
                        "value-field": "id",
                        "label-field": s.getLocale === "en" ? "nameEn" : "name",
                        async onUpdateValue (n) {
                            e.nationalId = n;
                            const h = await I({
                                countryId: n
                            });
                            r.updateCityList(e, h);
                        }
                    });
                }
            },
            {
                title: t("monthlyReport.placeOfBirth"),
                key: "brithplaceCityId",
                width: 150,
                render (e) {
                    if (!m.value) {
                        const n = e.provinceList.find((h)=>h.id === e.brithplaceCityId);
                        return s.getLocale === "en" ? n?.nameEn : n?.name;
                    }
                    return a(v, {
                        value: e.brithplaceCityId,
                        options: e.provinceList,
                        align: "center",
                        filterable: !0,
                        "value-field": "id",
                        "label-field": s.getLocale === "en" ? "nameEn" : "name",
                        async onUpdateValue (n) {
                            e.brithplaceCityId = n;
                        }
                    });
                }
            },
            {
                title: t("monthlyReport.dateOfBirth"),
                key: "birthday",
                width: 150,
                render (e) {
                    return m.value ? a(c, {
                        value: e.birthday,
                        onUpdateValue (n) {
                            e.birthday = u(n);
                        }
                    }) : e.birthday;
                }
            },
            {
                title: t("monthlyReport.embarkingDate"),
                key: "onBroadDate",
                width: 150,
                render (e) {
                    return m.value ? a(c, {
                        value: e.onBroadDate,
                        onUpdateValue (n) {
                            e.onBroadDate = u(n);
                        }
                    }) : e.onBroadDate;
                }
            },
            {
                title: t("monthlyReport.embarkingPlace"),
                key: "onBroadPort",
                width: 150,
                render (e) {
                    return m.value ? a(p, {
                        value: e.onBroadPort,
                        onUpdateValue (n) {
                            e.onBroadPort = n;
                        }
                    }) : e.onBroadPort;
                }
            },
            {
                title: t("monthlyReport.passport"),
                key: "passportNo",
                width: 300,
                children: [
                    {
                        title: ()=>a("div", {
                                style: {
                                    fontSize: "13px",
                                    textAlign: "center",
                                    fontWeight: "500"
                                }
                            }, t("monthlyReport.passportNo")),
                        key: "passportNo",
                        width: 150,
                        align: "center",
                        render (e) {
                            return m.value ? a(p, {
                                value: e.passportNo,
                                onUpdateValue (n) {
                                    e.passportNo = n;
                                }
                            }) : e.passportNo;
                        }
                    },
                    {
                        title: ()=>a("div", {
                                style: {
                                    fontSize: "13px",
                                    textAlign: "center",
                                    fontWeight: "500"
                                }
                            }, t("monthlyReport.dateOfExpiry")),
                        key: "passportDateOfExpiry",
                        width: 150,
                        align: "center",
                        render (e) {
                            return m.value ? a(c, {
                                value: e.passportDateOfExpiry,
                                onUpdateValue (n) {
                                    e.passportDateOfExpiry = u(n);
                                }
                            }) : e.passportDateOfExpiry;
                        }
                    }
                ]
            },
            {
                title: t("monthlyReport.seamanBook"),
                key: "seamanBook",
                width: 450,
                children: [
                    {
                        title: ()=>a("div", {
                                style: {
                                    fontSize: "13px",
                                    textAlign: "center",
                                    fontWeight: "500"
                                }
                            }, t("monthlyReport.seamanBookNo")),
                        key: "seamanBookNo",
                        width: 150,
                        align: "center",
                        render (e) {
                            return m.value ? a(p, {
                                value: e.seamanBookNo,
                                onUpdateValue (n) {
                                    e.seamanBookNo = n;
                                }
                            }) : e.seamanBookNo;
                        }
                    },
                    {
                        title: ()=>a("div", {
                                style: {
                                    fontSize: "13px",
                                    textAlign: "center",
                                    fontWeight: "500"
                                }
                            }, t("monthlyReport.dateOfExpiry")),
                        key: "seamanBookDateOfExpiry",
                        width: 150,
                        align: "center",
                        render (e) {
                            return m.value ? a(c, {
                                value: e.seamanBookDateOfExpiry,
                                onUpdateValue (n) {
                                    e.seamanBookDateOfExpiry = u(n);
                                }
                            }) : e.seamanBookDateOfExpiry;
                        }
                    }
                ]
            }
        ];
        return {
            methods: r,
            columns: d,
            CrewCertificatesChecklistColumns: i,
            IMOCrewlistColumns: N,
            OilCrewCertificatesChecklistColumns: B,
            CrewContactMethodColumns: D,
            OilIMOCrewlistColumns: w
        };
    };
});
export { Y as c, H as m, __tla };
